# ContentTypeHeader Class Reference
[Various accompanying utilities]

List of all members.

## Public Member Functions

| setMediaType ($mediaType)
| getMediaType ()
| setParameter ($attribute, $value)
| dropParameter ($attribute)
| hasParameter ($attribute)
| getParameter ($attribute)
| setParametersList ($parameters)
| getParametersList ()
| getCharset ()
| setCharset ($charset)
| import ($string)
| toString ()

## Static Public Member Functions

static | create ()

## Private Attributes

| $mediaType = null
| $parameters = array()
| $charset = null

## Detailed Description

Definition at line 15 of file ContentTypeHeader.class.php.

## Member Function Documentation

static ContentTypeHeader::create | ( |  | ) | `[static]`

Returns:
  HttpContentType

Definition at line 25 of file ContentTypeHeader.class.php.

ContentTypeHeader::dropParameter | ( | $ | attribute | ) |

Returns:
  HttpContentType

Definition at line 58 of file ContentTypeHeader.class.php.

ContentTypeHeader::getCharset | ( |  | ) |

Definition at line 98 of file ContentTypeHeader.class.php.

ContentTypeHeader::getMediaType | ( |  | ) |

Definition at line 40 of file ContentTypeHeader.class.php.

ContentTypeHeader::getParameter | ( | $ | attribute | ) |

Definition at line 73 of file ContentTypeHeader.class.php.

ContentTypeHeader::getParametersList | ( |  | ) |

Definition at line 93 of file ContentTypeHeader.class.php.

ContentTypeHeader::hasParameter | ( | $ | attribute | ) |

Definition at line 68 of file ContentTypeHeader.class.php.

ContentTypeHeader::import | ( | $ | string | ) |

Returns:
  HttpContentType

sample argument: text/html; charset="utf-8"

Definition at line 122 of file ContentTypeHeader.class.php.

ContentTypeHeader::setCharset | ( | $ | charset | ) |

Returns:
  HttpContentType

Definition at line 106 of file ContentTypeHeader.class.php.

References $charset.

ContentTypeHeader::setMediaType | ( | $ | mediaType | ) |

Returns:
  HttpContentType

Definition at line 33 of file ContentTypeHeader.class.php.

References $mediaType.

ContentTypeHeader::setParameter | ( | $ | attribute,
|  | $ | value |
| ) |  |  |

Returns:
  HttpContentType

Definition at line 48 of file ContentTypeHeader.class.php.

ContentTypeHeader::setParametersList | ( | $ | parameters | ) |

Returns:
  HttpContentType

Definition at line 84 of file ContentTypeHeader.class.php.

References $parameters, and Assert::isArray().

Here is the call graph for this function:

ContentTypeHeader::toString | ( |  | ) |

Definition at line 163 of file ContentTypeHeader.class.php.

## Member Data Documentation

ContentTypeHeader::$charset = null`[private]`

Definition at line 20 of file ContentTypeHeader.class.php.

Referenced by setCharset().

ContentTypeHeader::$mediaType = null`[private]`

Definition at line 17 of file ContentTypeHeader.class.php.

Referenced by setMediaType().

ContentTypeHeader::$parameters = array()`[private]`

Definition at line 18 of file ContentTypeHeader.class.php.

Referenced by setParametersList().

The documentation for this class was generated from the following file:

- main/Utils/ContentTypeHeader.class.php